AN_FD_CLR(3)

NAME

AN_FD_CLR - remove an Antinat connection handle from a socket set.

SYNOPSIS

#include <antinat.h>

void AN_FD_CLR(ANCONN s, struct fd_set * fds );

DESCRIPTION

The AN_FD_CLR(3) function removes an Antinat socket from a set of file descriptors. This set of file descriptors can be used with select. Use the AN_FD_ISSET(3) function to determine if a file descriptor is in the set, or AN_FD_SET(3) to place the file descriptor into the set. This function should be considered equivalent to the FD_CLR macro in your sockets library, except that it is for use with Antinat sockets.

s is a socket previously created with an_new_connection(3).

fds is an fd_set socket structure. Consult your platform's documentation for the select function for more information about this structure. It will contain a list of file descriptors suitable for use with the select call.

RETURN VALUE

There is no return value.

ERRORS

There is no error return.

SEE ALSO

select, AN_FD_ISSET(3), AN_FD_SET(3), an_new_connection(3)

AUTHOR

Malcolm Smith <malxau@users.sourceforge.net>